Show Approval
GET
/api/v3/projects/{project_id}/approvals/{approval_id}
const url = 'https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approvals/example?runtime_mode=test';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/approvals/example?runtime_mode=test'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string format: uuid
approval_id
required
Approval Id
string
Query Parameters
Section titled “Query Parameters”runtime_mode
Runtime Mode
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ApprovalResponseV3
object
action_summary
required
Action Summary
string
approval_id
required
Approval Id
string
channel
required
Channel
string
expires_at
required
Expires At
string format: date-time
id
required
Id
string format: uuid
project_id
required
Project Id
string format: uuid
requested_at
required
Requested At
string format: date-time
runtime_mode
required
Runtime Mode
string
session_id
required
Session Id
string format: uuid
status
required
Status
string
tool_id
required
Tool Id
string
user_id
required
User Id
string format: uuid
Example
{ "status": "pending"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}